%global momorel 1

Summary: 	Utility library for the XFce4 desktop environment
Name: 		libxfce4util
Version: 	4.4.1
Release:	%{momorel}m%{?dist}
License:	BSD
URL: 		http://www.xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
NoSource:	0
Group: 		Development/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	gtk+-devel >= 2.10.3
BuildRequires: 	glib-devel >= 2.12.3
BuildRequires:  libxml2-devel >= 2.6.26
BuildRequires:  pkgconfig
BuildRequires:  gtk-doc

%description
Basic utility non-GUI functions for XFce4.

%package devel
Summary:	developpment tools for libxfce4util library
Group:		Development/Libraries
Requires:	libxfce4util = %{version}

%description devel
Static libraries and header files for the libxfce4util library.

%prep
%setup -q 

%build
%configure --disable-static
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-4.2.0 COPYING NEWS
%{_libdir}/lib*.so.*
%{_sbindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfce4util
%{_datadir}/locale/*/*/*
%{_datadir}/gtk-doc/html/libxfce4util/

%changelog
* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.1-1m)
- Xfce 4.4.1

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-1m)
- Xfce 4.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3.2-2m)
- delete libtool library
- rebuild against gtk+-2.10.3 glib-2.12.3

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3.2-1m)
- Xfce 4.2.3.2

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)
- Xfce 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90
- add BuildRequires:  gtk-doc
- delete %%{_datadir}/xfce4/i18n/nls.alias
- add %%{_sbindir}/*
- add %%{_datadir}/gtk-doc
- TODO: add --enable-gtk-doc at configure
 
* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.5-1m)
- version update to 4.0.5.

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-4m)
- rebuild against for gtk+-2.4.0

* Sun Apr 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.4-3m)
- more restrict BuildRequires and Requires

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8
- rebuild against for glib-2.4.0

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-1m)
- version up to 4.0.2

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
